KDE 4.4 PyKDE API Reference

- KDE's Python API

# Planet Class Reference

`from PyKDE4.marble import *`

Namespace: Marble.Planet

## Detailed Description

## Methods

| __init__ (self)
| __init__ (self, QString id)
| __init__ (self, Marble.Planet other)
float | C_1 (self)
float | C_2 (self)
float | C_3 (self)
float | C_4 (self)
float | C_5 (self)
float | C_6 (self)
float | M_0 (self)
float | M_1 (self)
float | Pi (self)
float | epsilon (self)
QString | id (self)
QString | name (self)
QString | name (self, QString id)
float | radius (self)
| setC_1 (self, float C_1)
| setC_2 (self, float C_2)
| setC_3 (self, float C_3)
| setC_4 (self, float C_4)
| setC_5 (self, float C_5)
| setC_6 (self, float C_6)
| setEpsilon (self, float epsilon)
| setId (self, QString id)
| setM_0 (self, float M_0)
| setM_1 (self, float M_1)
| setName (self, QString name)
| setPi (self, float Pi)
| setRadius (self, float radius)
| setTheta_0 (self, float theta_0)
| setTheta_1 (self, float theta_1)
float | theta_0 (self)
float | theta_1 (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | QString | id
| ) |  |  |

__init__ | ( | self, |
|  | Marble.Planet | other
| ) |  |  |

float C_1 | ( |  | self ) |

float C_2 | ( |  | self ) |

float C_3 | ( |  | self ) |

float C_4 | ( |  | self ) |

float C_5 | ( |  | self ) |

float C_6 | ( |  | self ) |

float M_0 | ( |  | self ) |

float M_1 | ( |  | self ) |

float Pi | ( |  | self ) |

float epsilon | ( |  | self ) |

QString id | ( |  | self ) |

The internal, nonlocalized name of the planet

QString name | ( |  | self ) |

The user visible name of the planet

QString name | ( | self, |
|  | QString | id
| ) |  |  |

The user visible name of the planet

float radius | ( |  | self ) |

setC_1 | ( | self, |
|  | float | C_1
| ) |  |  |

setC_2 | ( | self, |
|  | float | C_2
| ) |  |  |

setC_3 | ( | self, |
|  | float | C_3
| ) |  |  |

setC_4 | ( | self, |
|  | float | C_4
| ) |  |  |

setC_5 | ( | self, |
|  | float | C_5
| ) |  |  |

setC_6 | ( | self, |
|  | float | C_6
| ) |  |  |

setEpsilon | ( | self, |
|  | float | epsilon
| ) |  |  |

setId | ( | self, |
|  | QString | id
| ) |  |  |

setM_0 | ( | self, |
|  | float | M_0
| ) |  |  |

setM_1 | ( | self, |
|  | float | M_1
| ) |  |  |

setName | ( | self, |
|  | QString | name
| ) |  |  |

setPi | ( | self, |
|  | float | Pi
| ) |  |  |

setRadius | ( | self, |
|  | float | radius
| ) |  |  |

setTheta_0 | ( | self, |
|  | float | theta_0
| ) |  |  |

setTheta_1 | ( | self, |
|  | float | theta_1
| ) |  |  |

float theta_0 | ( |  | self ) |

float theta_1 | ( |  | self ) |